<app-loading-spinner *ngIf="loading"></app-loading-spinner>

<div class="game-wrapper" *ngIf="currentRound">

  <div class="game-header">
    <div class="game-rounds">
      <span class="round-info">{{currentRound}}/{{absolutNumRounds}}</span>
    </div>
    <div class="game-timer">
      <app-timer [restart]="restartTimer$" (timeIsUp)="stopCurrentRound($event)"></app-timer>
    </div>
  </div>

  <div class="game-body">
    <app-describing *ngIf="roundType === 'describing'" [currentRound]="currentRound" [previousData]="previousData"
                    (descriptionChanged)="updateState($event)"></app-describing>
    <app-drawing *ngIf="roundType === 'drawing'" [previousData]="previousData" (drawingChanged)="updateState($event)"></app-drawing>
  </div>

</div>
